# HG changeset patch
# Node ID 71d9a605550a
# Parent  226a7ec46dde
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -248,6 +248,8 @@
 		  instead.
 		* account-setting-info, account-set-info signals
 		* account-status-changing signal.
+		* blist-node-aliased signal.
+		* blist-node-extended-menu signal.
 		* blocked-img-msg signal.
 		* buddy-caps-changed signal.
 		* buddy-got-login-time signal.
@@ -334,6 +336,7 @@
 		* purple_account_privacy_permit_remove
 		* purple_account_remove_buddy
 		* purple_account_remove_buddies
+		* purple_account_remove_group
 		* purple_account_remove_setting
 		* purple_account_request_add. Use purple_add_contact_request_new
 		  instead.
@@ -380,20 +383,50 @@
 		* purple_attention_type_get_unlocalized_name
 		* purple_base16_*
 		* purple_base64_*. Use g_base64_* instead
+		* PurpleBuddyList
 		* purple_blist_add_account
 		* purple_blist_add_buddy
 		* purple_blist_add_chat
+		* purple_blist_add_contact
+		* purple_blist_add_group
 		* purple_blist_find_chat
+		* purple_blist_get_buddies
+		* purple_blist_get_handle
+		* purple_blist_get_root
 		* purple_blist_get_ui_data
+		* purple_blist_init
 		* purple_blist_load
 		* purple_blist_new
+		* PurpleBlistNode
+		* purple_blist_node_get_bool
+		* purple_blist_node_get_extended_menu
+		* purple_blist_node_get_first_child
+		* purple_blist_node_get_int
+		* purple_blist_node_get_parent
+		* purple_blist_node_get_sibling_next
+		* purple_blist_node_get_sibling_prev
+		* purple_blist_node_get_string
+		* purple_blist_node_get_type
 		* purple_blist_node_get_ui_data
+		* purple_blist_node_next
+		* purple_blist_node_remove_setting
+		* purple_blist_node_set_bool
+		* purple_blist_node_set_int
+		* purple_blist_node_set_string
 		* purple_blist_node_set_ui_data
 		* purple_blist_remove_account
 		* purple_blist_remove_buddy
 		* purple_blist_remove_chat
+		* purple_blist_remove_contact
+		* purple_blist_remove_group
+		* purple_blist_request_add_buddy
 		* purple_blist_request_add_chat
+		* purple_blist_request_add_group
+		* purple_blist_schedule_save
 		* purple_blist_set_ui_data
+		* purple_blist_set_visible
+		* purple_blist_show
+		* purple_blist_uninit
 		* purple_set_blist
 		* purple_blist_update_buddy_icon
 		* purple_buddy_get_local_alias
@@ -492,6 +525,11 @@
 		* purple_get_attention_type_from_code
 		* purple_get_host_name. Use g_get_host_name, instead.
 		* purple_get_tzoff_str(). Use g_date_time_format, instead.
+		* PurpleGroup
+		* purple_group_get_accounts
+		* purple_group_get_name
+		* purple_group_new
+		* purple_group_on_account
 		* purple_home_dir
 		* PurpleIdleUiOps
 		* purple_idle_get_ui_ops
@@ -960,6 +998,8 @@
 		* struct PurpleAccountOption
 		* struct PurpleAccountUserSplit
 		* struct PurpleNotifySearchColumn
+		* ui-caps-changed signal
+		* update-idle signal
 		* wpurple_g_access
 		* writing-chat-msg signal
 		* writing-im-msg signal
diff --git a/doc/reference/libpurple/libpurple.toml.in b/doc/reference/libpurple/libpurple.toml.in
--- a/doc/reference/libpurple/libpurple.toml.in
+++ b/doc/reference/libpurple/libpurple.toml.in
@@ -41,7 +41,6 @@
 	"plugin_i18n.md",
 	"plugin_ids.md",
 	"signals_account.md",
-	"signals_blist.md",
 	"signals_cmd.md",
 	"signals_connection.md",
 	"signals_conversation.md",
diff --git a/doc/reference/libpurple/meson.build b/doc/reference/libpurple/meson.build
--- a/doc/reference/libpurple/meson.build
+++ b/doc/reference/libpurple/meson.build
@@ -3,7 +3,6 @@
 	'plugin_i18n.md',
 	'plugin_ids.md',
 	'signals_account.md',
-	'signals_blist.md',
 	'signals_cmd.md',
 	'signals_connection.md',
 	'signals_conversation.md',
diff --git a/libpurple/connection.c b/libpurple/connection.c
--- a/libpurple/connection.c
+++ b/libpurple/connection.c
@@ -22,7 +22,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include "buddylist.h"
 #include "connection.h"
 #include "debug.h"
 #include "notify.h"
diff --git a/libpurple/core.c b/libpurple/core.c
--- a/libpurple/core.c
+++ b/libpurple/core.c
@@ -26,7 +26,6 @@
 #define G_SETTINGS_ENABLE_BACKEND
 #include <gio/gsettingsbackend.h>
 
-#include "buddylist.h"
 #include "cmds.h"
 #include "connection.h"
 #include "conversations.h"
@@ -158,7 +157,6 @@
 	purple_conversations_init();
 	purple_conversation_manager_startup();
 	purple_whiteboard_manager_startup();
-	purple_blist_init();
 
 	/* Setup the history adapter. */
 	adapter = purple_ui_get_history_adapter(ui);
@@ -196,9 +194,6 @@
 		return FALSE;
 	}
 
-	/* Load the buddy list after UI init */
-	purple_blist_boot();
-
 	purple_signal_emit(purple_get_core(), "core-initialized");
 
 	return TRUE;
@@ -229,7 +224,6 @@
 	purple_whiteboard_manager_shutdown();
 	purple_conversation_manager_shutdown();
 	purple_conversations_uninit();
-	purple_blist_uninit();
 	purple_notify_uninit();
 	purple_connections_uninit();
 	purple_presence_manager_shutdown();
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -1,17 +1,12 @@
 purple_coresources = [
 	'accounts.c',
 	'action.c',
-	'blistnode.c',
-	'buddylist.c',
 	'circularbuffer.c',
 	'cmds.c',
 	'connection.c',
-	'contact.c',
 	'conversations.c',
 	'core.c',
-	'countingnode.c',
 	'debug.c',
-	'group.c',
 	'image.c',
 	'media/backend-iface.c',
 	'media/candidate.c',
@@ -108,17 +103,12 @@
 purple_coreheaders = [
 	'accounts.h',
 	'action.h',
-	'blistnode.h',
-	'buddylist.h',
 	'circularbuffer.h',
 	'cmds.h',
 	'connection.h',
-	'contact.h',
 	'conversations.h',
 	'core.h',
-	'countingnode.h',
 	'debug.h',
-	'group.h',
 	'image.h',
 	'media.h',
 	'media-gst.h',
diff --git a/libpurple/purpleaccount.h b/libpurple/purpleaccount.h
--- a/libpurple/purpleaccount.h
+++ b/libpurple/purpleaccount.h
@@ -35,7 +35,6 @@
 typedef struct _PurpleAccount PurpleAccount;
 
 #include "connection.h"
-#include "group.h"
 #include "purpleconnectionerrorinfo.h"
 #include "purplecontactinfo.h"
 #include "purpleprotocol.h"
@@ -506,18 +505,6 @@
 gboolean purple_account_get_bool(PurpleAccount *account, const char *name, gboolean default_value);
 
 /**
- * purple_account_remove_group:
- * @account: The account.
- * @group: The group to remove.
- *
- * Removes a group from the server-side buddy list.
- *
- * Since: 2.0
- */
-PURPLE_AVAILABLE_IN_ALL
-void purple_account_remove_group(PurpleAccount *account, PurpleGroup *group);
-
-/**
  * purple_account_change_password:
  * @account: The account.
  * @orig_pw: The old password.
diff --git a/libpurple/purpleaccount.c b/libpurple/purpleaccount.c
--- a/libpurple/purpleaccount.c
+++ b/libpurple/purpleaccount.c
@@ -1613,21 +1613,6 @@
 }
 
 void
-purple_account_remove_group(PurpleAccount *account, PurpleGroup *group) {
-	PurpleProtocol *protocol = NULL;
-	PurpleConnection *gc = purple_account_get_connection(account);
-
-	if(gc != NULL) {
-		protocol = purple_connection_get_protocol(gc);
-	}
-
-	if(PURPLE_IS_PROTOCOL_SERVER(protocol)) {
-		purple_protocol_server_remove_group(PURPLE_PROTOCOL_SERVER(protocol),
-		                                    gc, group);
-	}
-}
-
-void
 purple_account_change_password(PurpleAccount *account, const char *orig_pw,
                                const char *new_pw)
 {
diff --git a/libpurple/purpleprivate.h b/libpurple/purpleprivate.h
--- a/libpurple/purpleprivate.h
+++ b/libpurple/purpleprivate.h
@@ -51,17 +51,6 @@
 PurpleXmlNode *_purple_account_to_xmlnode(PurpleAccount *account);
 
 /**
- * _purple_blist_get_last_child:
- * @node:  The node whose last child is to be retrieved.
- *
- * Returns the last child of a particular node.
- *
- * Returns: The last child of the node.
- */
-G_GNUC_INTERNAL
-PurpleBlistNode *_purple_blist_get_last_child(PurpleBlistNode *node);
-
-/**
  * _purple_connection_wants_to_die:
  * @gc:  The connection to check
  *
diff --git a/libpurple/purpleprotocolserver.h b/libpurple/purpleprotocolserver.h
--- a/libpurple/purpleprotocolserver.h
+++ b/libpurple/purpleprotocolserver.h
@@ -31,7 +31,6 @@
 #include <glib-object.h>
 
 #include "connection.h"
-#include "group.h"
 #include "purpleaccount.h"
 #include "purplemessage.h"
 #include "purpleprotocol.h"
@@ -66,10 +65,6 @@
 
 	void (*change_passwd)(PurpleProtocolServer *protocol_server, PurpleConnection *connection, const gchar *old_pass, const gchar *new_pass);
 
-	void (*rename_group)(PurpleProtocolServer *protocol_server, PurpleConnection *connection, const gchar *old_name, PurpleGroup *group, GList *moved_buddies);
-
-	void (*remove_group)(PurpleProtocolServer *protocol_server, PurpleConnection *connection, PurpleGroup *group);
-
 	gint (*send_raw)(PurpleProtocolServer *protocol_server, PurpleConnection *connection, const gchar *buf, gint len);
 
 	/*< private >*/
@@ -131,35 +126,6 @@
 void purple_protocol_server_change_passwd(PurpleProtocolServer *protocol_server, PurpleConnection *connection, const gchar *old_pass, const gchar *new_pass);
 
 /**
- * purple_protocol_server_rename_group:
- * @protocol_server: The #PurpleProtocolServer instance.
- * @connection:  The #PurpleConnection instance.
- * @old_name: The old name of the group.
- * @group: The new #PurpleGroup instance.
- * @moved_buddies: (element-type GObject): A list of #PurpleBuddy's being
- *                 moved as part of this rename.
- *
- * Renames the group named @old_name to the new @group.
- *
- * Since: 3.0
- */
-PURPLE_AVAILABLE_IN_3_0
-void purple_protocol_server_rename_group(PurpleProtocolServer *protocol_server, PurpleConnection *connection, const gchar *old_name, PurpleGroup *group, GList *moved_buddies);
-
-/**
- * purple_protocol_server_remove_group:
- * @protocol_server: The #PurpleProtocolServer instance.
- * @connection: The #PurpleConnection instance.
- * @group: The #PurpleGroup instance.
- *
- * Removes @group from the server side contact list.
- *
- * Since: 3.0
- */
-PURPLE_AVAILABLE_IN_3_0
-void purple_protocol_server_remove_group(PurpleProtocolServer *protocol_server, PurpleConnection *connection, PurpleGroup *group);
-
-/**
  * purple_protocol_server_send_raw:
  * @protocol_server: The #PurpleProtocolServer instance.
  * @connection: The #PurpleConnection instance.
diff --git a/libpurple/purpleprotocolserver.c b/libpurple/purpleprotocolserver.c
--- a/libpurple/purpleprotocolserver.c
+++ b/libpurple/purpleprotocolserver.c
@@ -102,42 +102,6 @@
 	}
 }
 
-void
-purple_protocol_server_rename_group(PurpleProtocolServer *protocol_server,
-                                    PurpleConnection *connection,
-                                    const gchar *old_name, PurpleGroup *group,
-                                    GList *moved_buddies)
-{
-	PurpleProtocolServerInterface *iface = NULL;
-
-	g_return_if_fail(PURPLE_IS_PROTOCOL_SERVER(protocol_server));
-	g_return_if_fail(PURPLE_IS_CONNECTION(connection));
-	g_return_if_fail(PURPLE_IS_GROUP(group));
-
-	iface = PURPLE_PROTOCOL_SERVER_GET_IFACE(protocol_server);
-	if(iface != NULL && iface->rename_group != NULL) {
-		iface->rename_group(protocol_server, connection, old_name, group,
-		                    moved_buddies);
-	}
-}
-
-void
-purple_protocol_server_remove_group(PurpleProtocolServer *protocol_server,
-                                    PurpleConnection *connection,
-                                    PurpleGroup *group)
-{
-	PurpleProtocolServerInterface *iface = NULL;
-
-	g_return_if_fail(PURPLE_IS_PROTOCOL_SERVER(protocol_server));
-	g_return_if_fail(PURPLE_IS_CONNECTION(connection));
-	g_return_if_fail(PURPLE_IS_GROUP(group));
-
-	iface = PURPLE_PROTOCOL_SERVER_GET_IFACE(protocol_server);
-	if(iface != NULL && iface->remove_group != NULL) {
-		iface->remove_group(protocol_server, connection, group);
-	}
-}
-
 gint
 purple_protocol_server_send_raw(PurpleProtocolServer *protocol_server,
                                 PurpleConnection *connection,
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -1,16 +1,11 @@
 libpurple/accounts.c
 libpurple/action.c
-libpurple/blistnode.c
-libpurple/buddylist.c
 libpurple/circularbuffer.c
 libpurple/cmds.c
 libpurple/connection.c
-libpurple/contact.c
 libpurple/conversations.c
 libpurple/core.c
-libpurple/countingnode.c
 libpurple/debug.c
-libpurple/group.c
 libpurple/image.c
 libpurple/media/backend-iface.c
 libpurple/media.c
